Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/admin/workflow-definitions/$WORKFLOW_KEY/versions/$VERSION_NUMBER \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/admin/workflow-definitions/${workflowKey}/versions/${versionNumber}` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/admin/workflow-definitions/{workflow_key}/versions/{version_number}" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"workflowKey": "COLLECTIONS_DEFAULT",
"caseTypeCode": "COLLECTIONS",
"versionNumber": 2 ,
"status": "ACTIVE",
"discarded": false ,
"rowVersion": 5 ,
"activatedAt": "2026-07-20T12: 00 :00Z",
"openPinnedCases": 12 ,
"definition": {
"schemaVersion": 2 ,
"workflowKey": "COLLECTIONS_DEFAULT",
"version": 2 ,
"caseType": "COLLECTIONS",
"stages": [
{
"stageKey": "INTAKE",
"displayName": "Understand the case",
"next": [
{
"when": "DEFAULT",
"stage": "CLOSE"
}
]
},
{
"stageKey": "CLOSE",
"displayName": "Close the case",
"terminal": true
}
],
"terminalOutcomes": []
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}